# Setting the position

A position on mangrove is described by the minimum tick (tickIndex0, on the BASE/QUOTE list), the difference between two ticks (tickOffset), and the number of offers.

A fourth parameter is computed automatically thanks to the oracle. It is the offer at which we stop posting bids, and post asks instead (firstAskIndex).

Other parameters are characteristics of mangrove can be kept to their default value:

* the gasprice (default: 0, defaults to mangrove gasprice)
* the gasreq (default depends on the used Kandel Seeder)
* the step size (defaults to 1)

Finally, we also have to choose a state for the funds to be in:

* Active: funds are deposited on the kandel and offer are posted (if possible)
* Passive: funds are deposited on the kandel with no offers
* Vault: funds are not in the kandel

{% hint style="info" %}
When funds are in the kandel contract, they are actually deposited in their sourcing strategy, thus can earn passive income from AAVE for example.
{% endhint %}

{% hint style="warning" %}
A known UX quirk is that AAVE vaults should always be set to passive on initial mint, otherwise minting will revert.
{% endhint %}

A position can be set via this function:

{% @github-files/github-code-block url="<https://github.com/mangrovedao/mangrove-vault/blob/899abdb187f1801ba44621c0e25a697edda859e7/src/MangroveVault.sol#L55-L60>" %}

{% @github-files/github-code-block url="<https://github.com/mangrovedao/mangrove-vault/blob/899abdb187f1801ba44621c0e25a697edda859e7/src/MangroveVault.sol#L782>" %}

Or right after rebalancing in this function:

{% @github-files/github-code-block url="<https://github.com/mangrovedao/mangrove-vault/blob/899abdb187f1801ba44621c0e25a697edda859e7/src/MangroveVault.sol#L765-L772>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mangrove.exchange/dev/vaults/custom-interactions/managing-a-vault/setting-the-position.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
